//
//  ViewController.h
//  usb-rly08
//
//  Created by James Henderson on 28/09/2016.
//  Copyright © 2016 Devantech Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#include <IOKit/IOKitLib.h>
#include <IOKit/serial/IOSerialKeys.h>
#include <IOKit/IOBSD.h>
#include <IOKit/serial/ioss.h>
#include <sys/ioctl.h>

@interface ViewController : NSViewController
{
    IBOutlet NSPopUpButton *serialList;
    IBOutlet NSTextField *idLabel;
    IBOutlet NSTextField *firmwareLabel;
    IBOutlet NSButton *relay1Button;
    IBOutlet NSButton *relay2Button;
    IBOutlet NSButton *relay3Button;
    IBOutlet NSButton *relay4Button;
    IBOutlet NSButton *relay5Button;
    IBOutlet NSButton *relay6Button;
    IBOutlet NSButton *relay7Button;
    IBOutlet NSButton *relay8Button;
    int relaystates;
    BOOL isConnected;
    int fd;
    struct termios originalOptions;
    unsigned char serBuf[64];
    NSTimer *timer;
}

- (void) timerTick:(NSTimer *)t;
- (IBAction)serialPortSelected:(id)sender;
- (IBAction)buttonPressed:(id)sender;

@end

